Page MenuHomePhabricator

[PowerPC][P10] Add Vector pair calling convention
ClosedPublic

Authored by stefanp on Jan 13 2022, 7:18 AM.

Details

Reviewers
lei
nemanjai
Group Reviewers
Restricted Project
Commits
rG78406ac8985b: [PowerPC][P10] Add Vector pair calling convention
Summary

Add the calling convention for the vector pair registers.
These registers overlap with the vector registers.

Part of an original patch by: Lei Huang

Diff Detail

Event Timeline

stefanp created this revision.Jan 13 2022, 7:18 AM
stefanp requested review of this revision.Jan 13 2022, 7:18 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 13 2022, 7:18 AM
stefanp added a reviewer: Restricted Project.Jan 13 2022, 7:27 AM
nemanjai accepted this revision.Mar 4 2022, 10:00 AM

LGTM.

llvm/lib/Target/PowerPC/PPCFrameLowering.cpp
1977

Please explain why (i.e. the individual subregisters will be saved).

This revision is now accepted and ready to land.Mar 4 2022, 10:00 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 4 2022, 10:00 AM
stefanp updated this revision to Diff 415533.Mar 15 2022, 12:07 PM

Rebased patch to top of trunk.
Fixed comment as per review.

This revision was landed with ongoing or failed builds.Mar 15 2022, 12:08 PM
This revision was automatically updated to reflect the committed changes.